org.jfree.chart.util

## Class AttrStringUtils

- java.lang.Object
- - org.jfree.chart.util.AttrStringUtils

-     public class AttrStringUtils
      extends java.lang.Object

  Some `AttributedString` utilities.
  Since:
    1.0.16

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawRotatedString(java.text.AttributedString text, java.awt.Graphics2D g2, double angle, float x, float y)` Draws the attributed string at `(x, y)`, rotated by the specified angle about `(x, y)`.
    `static void` | `drawRotatedString(java.text.AttributedString text, java.awt.Graphics2D g2, float textX, float textY, double angle, float rotateX, float rotateY)` Draws the attributed string at `(textX, textY)`, rotated by the specified angle about `(rotateX, rotateY)`.
    `static void` | `drawRotatedString(java.text.AttributedString text, java.awt.Graphics2D g2, float x, float y, TextAnchor textAnchor, double angle, float rotationX, float rotationY)` Draws the string anchored to `(x, y)`, rotated by the specified angle about `(rotationX, rotationY)`.
    `static void` | `drawRotatedString(java.text.AttributedString text, java.awt.Graphics2D g2, float x, float y, TextAnchor textAnchor, double angle, TextAnchor rotationAnchor)` Draws a rotated string.
    `static java.awt.geom.Rectangle2D` | `getTextBounds(java.text.AttributedString text, java.awt.Graphics2D g2)` Returns the bounds for the attributed string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTextBounds

          public static java.awt.geom.Rectangle2D getTextBounds(java.text.AttributedString text,
                                                                java.awt.Graphics2D g2)

      Returns the bounds for the attributed string.
      Parameters:
        `text` - the attributed string (`null` not permitted).
        `g2` - the graphics target (`null` not permitted).
      Returns:
        The bounds (never `null`).
      Since:
        1.0.18

    - #### drawRotatedString

          public static void drawRotatedString(java.text.AttributedString text,
                                               java.awt.Graphics2D g2,
                                               double angle,
                                               float x,
                                               float y)

      Draws the attributed string at `(x, y)`, rotated by the specified angle about `(x, y)`.
      Parameters:
        `text` - the attributed string (`null` not permitted).
        `g2` - the graphics output target.
        `angle` - the angle.
        `x` - the x-coordinate.
        `y` - the y-coordinate.
      Since:
        1.0.16

    - #### drawRotatedString

          public static void drawRotatedString(java.text.AttributedString text,
                                               java.awt.Graphics2D g2,
                                               float textX,
                                               float textY,
                                               double angle,
                                               float rotateX,
                                               float rotateY)

      Draws the attributed string at `(textX, textY)`, rotated by the specified angle about `(rotateX, rotateY)`.
      Parameters:
        `text` - the attributed string (`null` not permitted).
        `g2` - the graphics output target.
        `textX` - the x-coordinate for the text.
        `textY` - the y-coordinate for the text.
        `angle` - the rotation angle (in radians).
        `rotateX` - the x-coordinate for the rotation point.
        `rotateY` - the y-coordinate for the rotation point.
      Since:
        1.0.16

    - #### drawRotatedString

          public static void drawRotatedString(java.text.AttributedString text,
                                               java.awt.Graphics2D g2,
                                               float x,
                                               float y,
                                               TextAnchor textAnchor,
                                               double angle,
                                               float rotationX,
                                               float rotationY)

      Draws the string anchored to `(x, y)`, rotated by the specified angle about `(rotationX, rotationY)`.
      Parameters:
        `text` - the text (`null` not permitted).
        `g2` - the graphics target.
        `x` - the x-coordinate for the text location.
        `y` - the y-coordinate for the text location.
        `textAnchor` - the text anchor point.
        `angle` - the rotation (in radians).
        `rotationX` - the x-coordinate for the rotation point.
        `rotationY` - the y-coordinate for the rotation point.
      Since:
        1.0.16

    - #### drawRotatedString

          public static void drawRotatedString(java.text.AttributedString text,
                                               java.awt.Graphics2D g2,
                                               float x,
                                               float y,
                                               TextAnchor textAnchor,
                                               double angle,
                                               TextAnchor rotationAnchor)

      Draws a rotated string.
      Parameters:
        `text` - the text to draw.
        `g2` - the graphics target.
        `x` - the x-coordinate for the text location.
        `y` - the y-coordinate for the text location.
        `textAnchor` - the text anchor point.
        `angle` - the rotation (in radians).
        `rotationAnchor` - the rotation anchor point.
      Since:
        1.0.16